ECHO OFF
CLS

IF NOT EXIST UPDOS62.BAT GOTO DRV_ERR

CD \DOS62
UPDOS %1

REM /* 0:THE FIRST UPDOS SUCCESS,1:SECOND UPDOS SUCCESS */
if errorlevel 128　             goto ALL_END
if errorlevel 1　               goto 2ND_UP

echo [6A[0J
ECHO [5m  ファイルをコピー中です。 [m
ECHO.
ECHO   電源をＯＦＦにしたり、フロッピィディスクを取り出したりしない
ECHO   でください。
ECHO.

EXPAND \DOS62\FORMAT.EX_        %1\FORMAT.EXE > NUL
EXPAND \DOS62\HDFORMAT.EX_      %1\HDFORMAT.EXE > NUL
EXPAND \DOS62\INSTDOS.EX_       %1\INSTDOS.EXE > NUL
COPY \DOS62\NECCDCHK.EX_        %1 /V /Y > NUL
COPY \DOS62\LISTFILE.TBL        %1 /V /Y > NUL

COPY \DOS62\NO.TXT              %1\NECCDA.SY_ /V /Y > NUL
COPY \DOS62\NO.TXT              %1\NECCDB.SY_ /V /Y > NUL
COPY \DOS62\NO.TXT              %1\NECCDC.SY_ /V /Y > NUL
COPY \DOS62\NO.TXT              %1\NECCDD.SY_ /V /Y > NUL
COPY \DOS62\NO.TXT              %1\NECCDE.SY_ /V /Y > NUL
COPY \DOS62\NO.TXT              %1\NECCDF.SY_ /V /Y > NUL
COPY \DOS62\NO.TXT              %1\NECCDG.SY_ /V /Y > NUL
COPY \DOS62\NO.TXT              %1\NECCDH.SY_ /V /Y > NUL
COPY \DOS62\NO.TXT              %1\NECCDJ.SY_ /V /Y > NUL
COPY \DOS62\NO.TXT              %1\NECCDM.SY_ /V /Y > NUL

\DOS62\NECCDCHK /O1

IF ERRORLEVEL 13 GOTO UP_END
IF ERRORLEVEL 12 GOTO NECCDM
IF ERRORLEVEL 10 GOTO UP_END
IF ERRORLEVEL 9 GOTO NECCDJ
IF ERRORLEVEL 8 GOTO UP_END
IF ERRORLEVEL 7 GOTO NECCDH
IF ERRORLEVEL 6 GOTO NECCDG
IF ERRORLEVEL 5 GOTO NECCDF
IF ERRORLEVEL 4 GOTO NECCDE
IF ERRORLEVEL 3 GOTO NECCDD
IF ERRORLEVEL 2 GOTO NECCDC
IF ERRORLEVEL 1 GOTO NECCDB
IF ERRORLEVEL 0 GOTO NECCDA

:NECCDM
COPY \DOS62\NECCDM.SY_ %1 /V /Y > NUL
GOTO UP_END
:NECCDJ
COPY \DOS62\NECCDJ.SY_ %1 /V /Y > NUL
GOTO UP_END
:NECCDH
COPY \DOS62\NECCDH.SY_ %1 /V /Y > NUL
GOTO UP_END
:NECCDG
COPY \DOS62\NECCDG.SY_ %1 /V /Y > NUL
GOTO UP_END
:NECCDF
COPY \DOS62\NECCDF.SY_ %1 /V /Y > NUL
GOTO UP_END
:NECCDE
COPY \DOS62\NECCDE.SY_ %1 /V /Y > NUL
GOTO UP_END
:NECCDD
COPY \DOS62\NECCDD.SY_ %1 /V /Y > NUL
GOTO UP_END
:NECCDC
COPY \DOS62\NECCDC.SY_ %1 /V /Y > NUL
GOTO UP_END
:NECCDB
COPY \DOS62\NECCDB.SY_ %1 /V /Y > NUL
GOTO UP_END
:NECCDA
COPY \DOS62\NECCDA.SY_ %1 /V /Y > NUL
GOTO UP_END

:UP_END
echo [7A[0J
ECHO.
ECHO.
ECHO　「ＭＳ−ＤＯＳ ６．２ システムディスク」のアップグレードが終了しました．
ECHO　「アップグレード済み ＭＳ−ＤＯＳ ６．２ システムディスク＃１」でＭＳ−
ECHO　ＤＯＳ ６．２をインストールしてください．
ECHO.
ECHO　また、ＭＳ−ＤＯＳ ６．２のインストール後、インストールしたＭＳ−ＤＯＳ
ECHO　６．２に対して再度アップグレードを行ってください．
ECHO.
ECHO.
GOTO ALL_END

:DRV_ERR
CLS
ECHO.
ECHO.
ECHO　　カレントドライブ以外から実行しようとしました。
ECHO　　アップグレードは、必ず「￥ＤＯＳ６２」ディレクトリがある
ECHO　　ドライブをカレントドライブにして実行してください。
ECHO.
ECHO.
GOTO ALL_END

:2ND_UP
REM /*  UPGRADE AVSDRV.EXE/SYS */
IF EXIST %1\AVSDRV.EXE \DOS62\EXPAND AVSDRV.SY_ %1\AVSDRV.EXE > NUL
IF EXIST %1\AVSDRV.SYS \DOS62\EXPAND AVSDRV.SY_ %1\AVSDRV.SYS > NUL

:ALL_END
